package cz.muni.fi.pa165.api.auth.login;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import jakarta.validation.constraints.NotBlank;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Schema(
        title = "User login request",
        description = "User login request DTO with email and password"
)
public class LoginRequestDto {
    @NotBlank
    @Schema(description = "User email", example = "john.doe@email.com")
    private String email;

    @NotBlank
    @Schema(description = "User password", example = "Password123")
    private String password;
}
