package cz.muni.fi.pa165.api.user;

import cz.muni.fi.pa165.data.model.Role;
import cz.muni.fi.pa165.data.model.User;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

@Schema(title = "Basic movie", description = "Basic movie")
public record UserBasicViewDto (
        @NotBlank
        @Schema(description = "id", example = "1")
        long id,

        @NotBlank
        @Schema(description = "User name", example = "John Doe")
        String name,

        @NotBlank
        @Schema(description = "User email", example = "john.doe@example.com")
        String email,

        @NotBlank
        @Schema(description = "User role", example = "USER")
        Role role
) {

    public static UserBasicViewDto from(User user) {
    return new UserBasicViewDto(
            user.getId(),
            user.getName(),
            user.getEmail(),
            user.getRole()
    );
}

}
