package cz.muni.fi.pa165.config;

import cz.muni.fi.pa165.data.model.Role;
import cz.muni.fi.pa165.data.model.User;
import cz.muni.fi.pa165.data.repository.UserRepository;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Transactional
@Service
public class MockDb {

    private final UserRepository userRepository;

    @Autowired
    public MockDb(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    @PostConstruct
    public void insertInitialData() {
        mockUsers();
    }

    private void mockUsers() {
        User userA = new User();
        userA.setName("Sherlock Holmes");
        userA.setEmail("sherlock.holmes@detective.com");
        // Hashed password HerlockSholmes
        userA.setPassword("$2a$10$vYQ2wwUu/VqlKcqjxhdWAujMGXJZqywBszEL7v/5PsUJwO1CCwSr.");
        userA.setRole(Role.ADMIN);
        userRepository.save(userA);

        User userB = new User();
        userB.setName("Jim Moriarty");
        userB.setEmail("jim.moriarty@evil.com");
        // Hashed password JimmyMori01
        userB.setPassword("$2a$10$.2mE5Di8DIDe.kyJz57BtutSOU6MrExKkPHcmuTvOT95tr0T7rS.a");
        userB.setRole(Role.USER);
        userRepository.save(userB);
    }

}
