package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.api.auth.TokenDto;
import cz.muni.fi.pa165.api.auth.login.LoginRequestDto;
import cz.muni.fi.pa165.api.auth.login.LoginResponseDto;
import cz.muni.fi.pa165.api.auth.registration.RegisterRequestDto;
import cz.muni.fi.pa165.api.auth.registration.RegisterResponseDto;
import cz.muni.fi.pa165.service.AuthService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class AuthFacade {

    private final AuthService authService;

    public RegisterResponseDto register(RegisterRequestDto registerRequestDto) {
        TokenDto tokenDto = authService.register(registerRequestDto);
        return RegisterResponseDto.builder()
                .item(tokenDto)
                .message(String.format("User %s is registered", registerRequestDto.getEmail()))
                .build();
    }

    public LoginResponseDto login(LoginRequestDto loginRequestDto) {
        TokenDto tokenDto = authService.authenticate(loginRequestDto);
        return LoginResponseDto.builder()
                .item(tokenDto)
                .message(String.format("User %s is logged in successfully", loginRequestDto.getEmail()))
                .build();
    }

}
